import { SearchService } from './../../search.service';
import { Subscription } from 'rxjs/Rx';
import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
export declare class FilterProComponent implements OnInit, OnDestroy {
    private _searchService;
    filterOutput: EventEmitter<{}>;
    filterInput: any;
    subscribeAllCities: Subscription;
    toggle_categories: Subscription;
    toggle_subcategories: Subscription;
    categories: any[];
    idCategory: number;
    subcategories: any[];
    subSelected: number[];
    allCities: any;
    listCities: any;
    city: string;
    occupation: string;
    filter: {};
    constructor(_searchService: SearchService);
    ngOnInit(): void;
    filterInit(): void;
    cities(): void;
    selectCity(): void;
    searchOccupation(): void;
    citiesSearch(value: any, maxResults?: number): void;
    getSubcategories(id: any): void;
    getInterests(id: any): void;
    setAllCategories(): void;
    setAvaliation(grade: any): void;
    ngOnDestroy(): void;
}
