import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { SearchService } from './../search.service';
import { Subscription } from 'rxjs/Rx';
import { ToastrService } from 'ngx-toastr';
export declare class SearchTopComponent implements OnInit, OnDestroy {
    private _searchService;
    private _toastrService;
    backgroundColor: string;
    typeSearch: string;
    filterDefault: any;
    selected: string;
    searchInit: boolean;
    listResult: EventEmitter<{}>;
    haveResults: EventEmitter<{}>;
    filter: any;
    filterSeach: any;
    results: any;
    lenResult: number;
    ordenation: boolean;
    oldFilter: Object;
    searched: boolean;
    searchFor: string;
    searchTypeDefault: string;
    backgroundColorDefault: string;
    render: string;
    sortType: any;
    auxTypeSearch: any;
    subscribeSearch: Subscription;
    subscribeMoreResults: Subscription;
    searching: boolean;
    constructor(_searchService: SearchService, _toastrService: ToastrService);
    ngOnInit(): void;
    setDefaultFilter(): void;
    getFilter(): any;
    setFilter(key: any, valeu: any): void;
    search(): void;
    searchZipRecruiter(): void;
    searchOportunities(): void;
    searchProfessionals(): void;
    moreResults(): void;
    setOrder(order: any): void;
    setFilterSearch(event?: any): void;
    closeSearch(): void;
    clearFilters(): void;
    ngOnDestroy(): void;
}
